Skip to main content
GET
/
v1
/
webhooks
/
outbound
List Outbound Webhooks
curl --request GET \
  --url https://plugin-pix-indirect.api.lerian.net/v1/webhooks/outbound \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://plugin-pix-indirect.api.lerian.net/v1/webhooks/outbound"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://plugin-pix-indirect.api.lerian.net/v1/webhooks/outbound', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "attemptCount": 0,
      "createdAt": "2026-05-21T12:00:00Z",
      "deadLetter": false,
      "deliveredAt": "2026-05-21T12:00:00Z",
      "entityId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
      "entityType": "DICT_ENTRY",
      "errorMessage": "timeout calling target URL",
      "failedAt": "2026-05-21T12:00:00Z",
      "failureReason": "max_retries_exceeded",
      "flowType": "DICT",
      "id": "019cf6ef-e418-7ced-80c0-7b9816faa798",
      "lastAttemptAt": "2026-05-21T12:00:00Z",
      "maxRetries": 3,
      "movedBy": "system",
      "nextRetryAt": "2026-05-21T12:00:00Z",
      "payload": {},
      "requestId": "560d59b9-3c74-46f8-be67-fee895b8e89e",
      "status": "PENDING",
      "targetUrl": "https://client.example.com/webhooks",
      "updatedAt": "2026-05-21T12:00:00Z"
    }
  ],
  "limit": 20,
  "page": 1,
  "totalItems": 42
}
{
  "code": "<string>",
  "title": "<string>",
  "message": "<string>"
}
{
  "code": "<string>",
  "title": "<string>",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

flow_type
enum<string>

Required. Outbound flow type. Uppercased server-side.

Available options:
DICT,
PAYMENT,
COLLECTION,
PIX,
TRANSFER,
REFUND,
RECURRING
entity_type
string

Filter by internal entity type. Examples: CLAIM, REFUND, INFRACTION_REPORT under flow_type=DICT; CASHIN, CASHOUT under flow_type=TRANSFER or REFUND.

entity_id
string

Filter by entity id in UUID format

status
enum<string>

Filter by status. DEAD_LETTER is a virtual, API-only value that surfaces dead-lettered webhooks.

Available options:
PENDING,
PROCESSING,
SENT,
FAILED,
DEAD_LETTER
request_id
string

Filter by originating request id

created_after
string

Filter rows with created_at >= this RFC3339 timestamp

created_before
string

Filter rows with created_at <= this RFC3339 timestamp

limit
integer
default:10

Maximum number of items per page.

Required range: 1 <= x <= 100
page
integer
default:1

Page number for pagination.

Required range: x >= 1

Response

OK

items
object[]
limit
integer
Example:

20

page
integer
Example:

1

totalItems
integer
Example:

42